import { select,arc } from 'd3'

const svg = select('svg');

const height = +svg.attr('height');
const width = +svg.attr('width');

const g = svg.append('g')
	.attr('transform',`translate(${width/2},${height/2})`);

const circle = g.append('circle')
  .attr('r', height/2)
	.attr('fill','yellow')
	.attr('stroke','black');

const leftEye = g.append('circle')
  .attr('r', 20)
  .attr('cx', 100)
  .attr('cy', - 70)
	.attr('fill','black')
  .transition().duration(1000)
	.attr('r',30);

const rightEye = g.append('circle')
  .attr('r', 20)
  .attr('cx', -100)
  .attr('cy', - 70)
	.attr('fill','black')
  .transition().duration(1000)
	.attr('r',30);

const mouth = g.append('path')
	.attr('d',arc()({
  innerRadius: 150,
  outerRadius: 170,
  startAngle: Math.PI/2,
  endAngle: Math.PI *1.5
  }));
